package com.example.development.mainActivity.components

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Icon
import androidx.compose.material3.IconButton
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.input.PasswordVisualTransformation
import androidx.compose.ui.text.input.VisualTransformation
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.development.R
import com.example.development.ui.theme.OldStandart

@Composable
fun Registaration2() {
    Box(
        contentAlignment = Alignment.TopCenter,
        modifier = Modifier
            .fillMaxSize()
    )
    {
        Image(
            painter = painterResource(id = R.drawable.fone),
            contentDescription = "",
            contentScale = ContentScale.FillWidth,
            modifier = Modifier.fillMaxWidth().fillMaxHeight()
        )
        Column(modifier = Modifier.fillMaxHeight(), horizontalAlignment = Alignment.CenterHorizontally, verticalArrangement = Arrangement.Center)
        {
            Text("Для завершения регистрации введите следующие данные:",
                color = Color.White,
                modifier = Modifier.padding(bottom = 100.dp),
                fontSize = 20.sp,
                fontWeight = FontWeight.Bold,
                fontFamily = OldStandart
            )
            TextField(
                value = "Фамилия",
                onValueChange = {},
                Modifier.padding(bottom = 10.dp).width(280.dp)
            )
            TextField(
                value = "Имя",
                onValueChange = {},
                Modifier.padding(bottom = 10.dp).width(280.dp)
            )
            TextField(
                value = "Номер телефона",
                onValueChange = {},
                Modifier.padding(bottom = 30.dp).width(280.dp)
            )
            Button(modifier = Modifier
                .width(width = 270.dp)
                .height(height = 40.dp)
                .padding(),
                onClick = {},
                shape = RoundedCornerShape(23.dp),
                border = BorderStroke(0.dp, Color(0xFFEBEBEB)),
                colors = ButtonDefaults.buttonColors(
                    containerColor = Color(255,215,0),
                    contentColor = Color.White)
            )
            {
                Text("СОХРАНИТЬ", color = Color.White,
                    modifier = Modifier.padding(),
                    fontSize = 22.sp,
                    fontWeight = FontWeight.Bold,
                    fontFamily = OldStandart)
            }
        }
    }
}